com.saxonica.functions.xpath3

## Class TrigonometricFn.Log10Fn

- java.lang.Object
- - net.sf.saxon.lib.ExtensionFunctionDefinition
  - - com.saxonica.functions.xpath3.TrigonometricFn
    - - com.saxonica.functions.xpath3.TrigonometricFn.Log10Fn

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TrigonometricFn

      public static class TrigonometricFn.Log10Fn
      extends TrigonometricFn

  Implement math:log10
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.functions.xpath3.TrigonometricFn

      `TrigonometricFn.AcosFn, TrigonometricFn.AsinFn, TrigonometricFn.AtanFn, TrigonometricFn.CosFn, TrigonometricFn.Exp10Fn, TrigonometricFn.ExpFn, TrigonometricFn.Log10Fn, TrigonometricFn.LogFn, TrigonometricFn.SinFn, TrigonometricFn.SqrtFn, TrigonometricFn.TanFn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrigonometricFn.Log10Fn()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `compute(double input)` The function that does the work, which must be implemented in subclasses
    `StructuredQName` | `getFunctionQName()` Get the name of the function, as a QName.

    - ### Methods inherited from class com.saxonica.functions.xpath3.TrigonometricFn

      `getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType, makeCallExpression, trustResultType`

    - ### Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition

      `dependsOnFocus, hasSideEffects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrigonometricFn.Log10Fn

          public TrigonometricFn.Log10Fn()

  - ### Method Detail

    - #### getFunctionQName

          public StructuredQName getFunctionQName()

      Description copied from class: `ExtensionFunctionDefinition`
      Get the name of the function, as a QName.

      This method must be implemented in all subclasses

      Specified by:
        `getFunctionQName` in class `ExtensionFunctionDefinition`
      Returns:
        the function name

    - #### compute

          protected double compute(double input)

      Description copied from class: `TrigonometricFn`
      The function that does the work, which must be implemented in subclasses
      Specified by:
        `compute` in class `TrigonometricFn`
      Parameters:
        `input` - the input value
      Returns:
        the result

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.